<?php
/**
 * Plugin for Pluxml
 * @author	DPFPIC
 * Site : http://monblog.dpfpic.com/
 * Licence GNU_GPL
 **/
include(dirname(__FILE__).'/lib/class.plx.pagepeel.php'); 
 
class plxPagePeel extends plxPlugin {

	/**
	 * Constructeur de la classe
	 *
	 * @param	default_lang	langue par défaut utilisée par PluXml
	 * @return	null
	 * @author	Stephane F
	 **/
	public function __construct($default_lang) {

		# Appel du constructeur de la classe plxPlugin (obligatoire)
		parent::__construct($default_lang);

		# droits pour accéder à la page config.php et admin.php du plugin
		$this->setConfigProfil(PROFIL_ADMIN);
		$this->setAdminProfil(PROFIL_ADMIN);
		
		# Vérification des version du plugin
		$this->pagepeel = new pagepeel();
		
		# ajout du hook
		$this->addHook('ThemeEndHead', 'ThemeEndHead');
		$this->addHook('AdminTopEndHead', 'AdminTopEndHead');			
		$this->addHook('plxShowPagePeel', 'plxShowPagePeel');		

	}
	
	public function AdminTopEndHead() {
		echo "\n\t".'<link rel="stylesheet" href="'.PLX_PLUGINS.'plxPagePeel/css/adminpagepeel.css" type="text/css" media="screen" />'."\n";	
	}	

	public function ThemeEndHead() {
		echo "\n\t".'
		<script type="text/javascript">
		if (typeof jQuery == "undefined") {
			document.write(\'<script type="text\/javascript" src="'.PLX_PLUGINS.'plxPagePeel\/js\/jquery-2.1.3.min.js"><\/script>\');
		}
		</script>';
		echo "\n\t".'<script type="text/javascript" src="'.PLX_PLUGINS.'plxPagePeel/js/jquery.peelback.js"></script>';
	}

	public function plxShowPagePeel() {
		
		# récupérer la racine du site http//.... et du repertoire plugins
		$baseDir = plxUtils::getRacine();
		$baseDirPlugins = $baseDir.substr(PLX_PLUGINS,2);
		
		$datenow = date('YmdHi');

		if($datenow > plxPlugin::getParam('date_start') AND plxPlugin::getParam('date_end') > $datenow OR plxPlugin::getParam('inFinite') == 1) {
		
		$plxShow = plxShow::getInstance();
		if($plxShow->mode()=='home' OR plxPlugin::getParam('homeOnly') == 0) {
			
			if (plxPlugin::getParam('cTarget') == '_window') {
				$target = '_blanc';
				$clickWindow = 'true';
			} else {
				$clickWindow = 'false';
				$target = plxPlugin::getParam('cTarget');
			}

			echo "\n\t".'<script type="text/javascript">
			$(function() {
				$("body").peelback({
					hPosition: "'.plxPlugin::getParam('hPosition').'",
					adImage  : "'.$baseDir.plxPlugin::getParam('adImage').'",
					peelImage  : "'.$baseDirPlugins.'plxPagePeel/img/peel-'.plxPlugin::getParam('hPosition').'.png",
					clickURL : "'.plxPlugin::getParam('clickURL').'",
					smallSize: '.plxPlugin::getParam('smallSize').',
					bigSize: '.plxPlugin::getParam('bigSize').',
					Target: "'.$target.'",
					autoAnimate: '.plxPlugin::getParam('autoAnimate').',
					clickWindow: '.$clickWindow.',
					hWindow: '.plxPlugin::getParam('hWindow').',
					wWindow: '.plxPlugin::getParam('wWindow').',
					noFollow: '.plxPlugin::getParam('noFollow').'
				});
			});
			</script>'."\n";
		}
		}
	}
}
?>